# Employee

Represents an employee for a school on SMHW.

## Constructor

#### new Employee(client, response)

Instantiate an Employee object.

Parameters:

Name | Type | Description
--- | --- | ---
`client` | Client | The client that is instantiating the object.
`response` | Object | The data for the object.

Source:
  - structures/Employee.js, line 12

### Members

#### (private) _client :Client

The client that instantiated this object.

Type:

- Client

Source:
  - structures/Employee.js, line 18

#### employee_type :String

The type of employee.

Type:

- String

Source:
  - structures/Employee.js, line 24

#### forename :String

The forename of the employee.

Type:

- String

Source:
  - structures/Employee.js, line 30

#### id :Number

The ID of the employee.

Type:

- Number

Source:
  - structures/Employee.js, line 36

#### school_id :Number

The ID of the school that the employee works for.

Type:

- Number

Source:
  - structures/Employee.js, line 42

#### surname :String

The surname of the employee.

Type:

- String

Source:
  - structures/Employee.js, line 48

#### title :String

The title of the employee.

Type:

- String

Source:
  - structures/Employee.js, line 54

### Methods

#### getSchool() → {Promise.<School>}

Get the school that the employee works for.

Source:
  - structures/Employee.js, line 69

Returns:

Type
  Promise.<School>

#### getUser() → {Promise.<User>}

Get the user object of the employee.

Source:
  - structures/Employee.js, line 61

Returns:

Type
  Promise.<User>